Skip to main content

SubmitEssayCorrectionTask

Submit an essay for correction.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:
  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.
  • API: The API that you can call to perform the action.
  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.
  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.
    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.
    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.
  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.
  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

quanmiaolightapp:SubmitEssayCorrectionTask

create

*All Resource

*

NoneNone

Request syntax

POST /{workspaceId}/quanmiao/lightapp/submitEssayCorrectionTask HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

Yes

xxxx

Request parameters

ParameterTypeRequiredDescriptionExample
tasksarray<object>NoA list of correction tasks.[{"grade": "高中二年级", "subject": "语文", "totalScore": 60, "question": "请以我的梦想为主题写一篇作文", "answer": "我的梦想是成为一名科学家...", "customId": "task-001"}]
objectNoA single correction task.
gradestringNoThe grade. Valid values are: [ "Junior High Grade 1", "Junior High Grade 2", "Junior High Grade 3", "Senior High Grade 1", "Senior High Grade 2", "Senior High Grade 3" ]高中二年级
subjectstringNoThe subject. Valid values are: [ "Chinese", "English Applied Writing", "English Read and Continue Writing" ]语文
totalScoreintegerNoThe maximum possible score for the essay.60
questionstringNoThe essay topic.xxx
answerstringNoThe student's response to the essay topic.xxx
otherReviewPointsstringNoAdditional review criteria.xxx
customIdstringNoA custom ID that uniquely identifies the task.xxxxx
gradestringNoA default grade to apply to all tasks. If a grade is also specified within an individual task, the task-level value takes precedence.高中二年级
subjectstringNoA default subject to apply to all tasks. If a subject is also specified within an individual task, the task-level value takes precedence.语文
totalScoreintegerNoA default total score to apply to all tasks. If a totalScore is also specified within an individual task, the task-level value takes precedence.60
questionstringNoA default essay topic to apply to all tasks. If a question is also specified within an individual task, the task-level value takes precedence.xxx
otherReviewPointsstringNoDefault additional review criteria to apply to all tasks. If otherReviewPoints is also specified within an individual task, the task-level value takes precedence.xxx
modelIdstringNoThe ID of the model to use for correction.The following models are available:

[
                    {
                        "ModelName": "Custom Correction Model",
                        "ModelId": "qwen-custom-correction-v1"
                    },
                    {
                        "ModelName": "Essay Correction Model",
                        "ModelId": "qwen-correction-v1"
                    },
                    {
                        "ModelName": "Essay Correction Lite Model",
                        "ModelId": "qwen-correction-v1-lite"
                    }
                ]
qwen-correction-v1
dimensionsarray<object>NoA list of custom scoring dimensions. This parameter is supported only by the qwen-custom-correction-v1 model.[{"name": "内容完整度", "rubric": "文章内容是否完整,是否涵盖了题目的核心要求", "maxScore": 30}]
objectNoA custom scoring dimension.
namestringNoThe name of the dimension.内容完整度
rubricstringNoThe scoring rubric for the dimension.文章内容是否完整,是否涵盖了题目的核心要求
maxScoreintegerNoThe maximum score for the dimension.30

Response elements

Element

Type

Description

Example

object

The response object.

code

string

The status code.

NoData

httpStatusCode

integer

The HTTP status code.

200

message

string

The response message.

success

requestId

string

The request ID.

1813ceee-7fe5-41b4-87e5-982a4d18cca5

success

boolean

Indicates whether the request was successful.

true

data

object

The task result.

taskId

string

The task ID.

3feb69ed02d9b1a17d0f1a942675d300

Examples

Success response JSON format
{
  "code": "NoData",
  "httpStatusCode": 200,
  "message": "success",
  "requestId": "1813ceee-7fe5-41b4-87e5-982a4d18cca5",
  "success": true,
  "data": {
    "taskId": "3feb69ed02d9b1a17d0f1a942675d300"
  }
}

Error codes

HTTP status code

Error code

Error message

Description

403NoPermissionYou are not authorized to perform this action , Please check the assignment of the workspaceId.
See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.